Errors on loading the package monitor console

Dec 24, 2010 at 4:33 PM

Getting the following error wehn I load the console:


The following error occurred while loading the extended type data file: Microsoft.PowerShell.Core, C:\Windows\SysWOW64\WindowsPowerShell\v1.0\types.ps1xml(2943) : Error in type "System.Security.AccessControl.ObjectSecurity": Exception: Cannot convert the "Microsoft.PowerShell.Commands.SecurityDescriptorCommandsBase" value of type "System.String" to type "System.Type".
The following error occurred while loading the extended type data file: Microsoft.PowerShell.Core, C:\Windows\SysWOW64\WindowsPowerShell\v1.0\types.ps1xml(2950) : Error in type "System.Security.AccessControl.ObjectSecurity": Exception: Cannot convert the "Microsoft.PowerShell.Commands.SecurityDescriptorCommandsBase" value of type "System.String" to type "System.Type".
The following error occurred while loading the extended type data file: Microsoft.PowerShell.Core, C:\Windows\SysWOW64\WindowsPowerShell\v1.0\types.ps1xml(2957) : Error in type "System.Security.AccessControl.ObjectSecurity": Exception: Cannot convert the "Microsoft.PowerShell.Commands.SecurityDescriptorCommandsBase" value of type "System.String" to type "System.Type".
The following error occurred while loading the extended type data file: Microsoft.PowerShell.Core, C:\Windows\SysWOW64\WindowsPowerShell\v1.0\types.ps1xml(2964) : Error in type "System.Security.AccessControl.ObjectSecurity": Exception: Cannot convert the "Microsoft.PowerShell.Commands.SecurityDescriptorCommandsBase" value of type "System.String" to type "System.Type".
The following error occurred while loading the extended type data file: Microsoft.PowerShell.Core, C:\Windows\SysWOW64\WindowsPowerShell\v1.0\types.ps1xml(2971) : Error in type "System.Security.AccessControl.ObjectSecurity": Exception: Cannot convert the "Microsoft.PowerShell.Commands.SecurityDescriptorCommandsBase" value of type "System.String" to type "System.Type".
Dec 24, 2010 at 4:47 PM

This is a known issue. Do you have the Reflector add-in installed in your VS? We have identified that old versions of Relector can cause these error messages. Upgrading to the latest Reflector add-in can fix it.

Dec 27, 2010 at 8:05 PM

Sure did. Upgrading reflector and reinstalling nuget fixed it. Thanks!!!

Mar 21, 2011 at 8:23 PM

I have Red-Gate's Reflector installed.  I disabled it via the Add-Ins control and am still having the same problems.

Mar 21, 2011 at 8:29 PM

Did you restart VS afger disabling the Add-In? Do you have any other Add-in installed?



Mar 22, 2011 at 3:28 AM

keithbarrows, you might also try temporarily diabling *all* add-ins, restarting VS , and then trying to open the NuGet console. That way you can rule out (or rule in) a plug-in interference.